Logo
OpenScaler

Create backup

POST
/v1/backups

Create a backup of the given Computer (VM). Progress can be polled via the status endpoint.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for creating a VM backup.

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X POST "https://example.com/v1/backups" \  -H "Content-Type: application/json" \  -d '{    "name": "backup-of-my-vm",    "description": "Nightly full backup",    "project_id": "default",    "backup_type": "full",    "vm_id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b"  }'
{  "id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",  "name": "backup-of-my-vm",  "user_id": "user-abc123",  "project_id": "default",  "created_at": "2024-11-15T10:30:00Z",  "backup_type": "full",  "status": "complete",  "size": 12.5,  "region": "alg1",  "target_type": "vm",  "target_id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b"}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}